# Overview

The source repository for this project is located at [StorPool's
Software Factory
instance](https://spfactory.storpool.com/r/admin/repos/charm-cinder-storpool-iscsi)

Please submit your changes there, or contact [the StorPool support
team][support].

[support]: mailto:support@storpool.com

# Submission Expectations

spfactory.storpool.com runs automated tests on every submission.

To be accepted, each change has to pass:

1. Static source tests: Tox targets `black`, `pep8`, and `lint`
2. Unit tests: Tox target `cover`
3. Zaza-based functional tests: Tox target `func-test
   <UBUNTU_VER>-<OPENSTACK_VER>[-edge]`

All of these except the Zaza tests can be executed locally, on the
developer's machine:

    tox -e black
    tox -e pep8
    ...

This can decrease the time it takes for a change to get accepted.

The combinations of Ubuntu and OpenStack versions, as well as charm
channel types for the Zaza tests, are described in tests/README.md.

# Style Guidelines

At the time of writing, this charm aims to adhere to the [general Charm
development best practices](https://juju.is/docs/sdk/styleguide)
