# Overview

This directory provides Zaza test definitions and bundles to verify
basic deployment functionality from the perspective of this charm, its
requirements and its features, as exercised in a subset of the full
OpenStack deployment test bundle topology.

The Zaza tests for this charm require an OpenStack + StorPool cluster
iSCSI connection setup. This setup is usually not available on developer
machines. StorPool runs the Zaza tests on its [in-house Software
Factory](https://spfactory.storpool.com).Zaza tests are [mapped to Zuul
jobs](https://spfactory.storpool.com/r/plugins/gitiles/config/+/refs/heads/master/zuul.d/charm-cinder-storpool-iscsi.yaml).
Each Zaza bundle has a separate job for better visibility.

For full details on functional testing of OpenStack charms please refer
to the [functional
testing](https://docs.openstack.org/charm-guide/latest/reference/testing.html#functional-testing)
section of the OpenStack Charm Guide.

# Bundle Sets

The Zaza-based charm testing is done in two bundle sets -- stable and
edge.

These attempt to map to the stable and edge channels of charms in the
bundles.

Sometimes, this is not possible. For example, at the time of writing,
cinder does not have an "ussuri/stable" channel.

The following describes the alternatives used when stable or edge
channels are not availble for a charm:

| Charm                                          | Type           | Channel       |
| ---------------------------------------------- | -------------- | ------------- |
| mysql-innodb-cluster, mysql-router             | */stable       | 8.0/stable    |
| mysql-innodb-cluster, mysql-router             | */edge         | latest/edge   |
| rabbitmq-server                                | */stable       | 3.9/stable    |
| rabbitmq-server                                | */edge         | 3.9/edge      |
| OpenStack Base Charms (e.g., cinder, keystone) | ussuri/stable  | latest/stable |
| OpenStack Base Charms (e.g., cinder, keystone) | wallaby/stable | latest/stable |

## Current Budles

The currently supported bundles are listed in `tests/tests.yaml`. The
bundle names there map to YAML files in `tests/bundles`.